Bug 1056913 (CVE-2013-6482) - CVE-2013-6482 pidgin: DoS via multiple null pointer dereferences in MSN protocol plugin
Summary: CVE-2013-6482 pidgin: DoS via multiple null pointer dereferences in MSN proto...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6482
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1058238 1058239 1058240 1058242 1058243 1059049
Blocks: 1054257
TreeView+ depends on / blocked
 
Reported: 2014-01-23 07:22 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:13 UTC (History)
7 users (show)

Fixed In Version: pidgin 2.10.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 20:05:54 UTC


Attachments (Terms of Use)
Local copy of patch 1 (1.66 KB, patch)
2014-01-27 06:12 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
Local copy of patch 2 (949 bytes, patch)
2014-01-27 06:12 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
Local copy of patch 3 (4.15 KB, patch)
2014-01-27 06:13 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0139 normal SHIPPED_LIVE Moderate: pidgin security update 2014-02-05 22:42:24 UTC

Description Huzaifa S. Sidhpurwala 2014-01-23 07:22:28 UTC
Multiple null-pointer dereferences were found in the MSN protocol plugin. Details as follows:

- NULL pointer dereference when parsing headers in MSN protocol plugin.
- NULL pointer dereference when parsing OIM data in MSN protocol plugin.
- NULL pointer dereference when parsing SOAP data in MSN protocol plugin.

If a remote server provided a specially-crafted MSN message, it could cause pidgin to crash.

Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Fabian Yamaguchi and Christian Wressnegger of the University of Goettingen as the original reporters of this issue.

Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 06:12:21 UTC
Created attachment 855922 [details]
Local copy of patch 1

Comment 2 Huzaifa S. Sidhpurwala 2014-01-27 06:12:40 UTC
Created attachment 855923 [details]
Local copy of patch 2

Comment 3 Huzaifa S. Sidhpurwala 2014-01-27 06:13:07 UTC
Created attachment 855924 [details]
Local copy of patch 3

Comment 6 Huzaifa S. Sidhpurwala 2014-01-29 04:23:37 UTC
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]

Comment 7 errata-xmlrpc 2014-02-05 17:44:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html

Comment 8 Fedora Update System 2014-02-06 03:49:41 UTC
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-02-14 07:59:17 UTC
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.